#!/usr/bin/env python

"""Setup script for the MySQLdb module distribution."""

import os, sys
import glob
from glob import glob
#from distutils.command.build import build
#from distutils.core import setup, Command
from distutils.core import setup
from distutils.extension import Extension
from distutils.command.bdist_rpm import bdist_rpm

long_description = \
"""This package allows to make connection to MySQL server and maintains cooperative
execution of Zope Application Server and MySQL RDBMS.

This version removes exception following transaction rollback failure.
MySQL doesn't handle transactions; the rollback takes place only after errors
during Zope request processing and the exception only masks real problem making
its diagnose and automated system reaction/recovery impossible.
"""

setup (# Distribution meta-data
        name = "ZMySQLDA",
        version = "2.0.8",
        description = "MySQL database adapter for Zope",
	    long_description=long_description,
        author = "Andy Dustman",
        author_email = "andy@dustman.net",
	    license = "ZPL",
        url = "http://dustman.net/andy/python/MySQLdb",

        # Description of the modules and packages in the distribution

        packages = ["ZMySQLDA"],

        data_files=[('ZMySQLDA', glob('ZMySQLDA/*.txt') + glob('ZMySQLDA/*.dtml')),
		    ('ZMySQLDA/icons', glob('ZMySQLDA/icons/*.gif')), 
		    ('ZMySQLDA/help', glob('ZMySQLDA/help/*')),],

	cmdclass = {}
)
